> For the complete documentation index, see [llms.txt](https://docs.sharinpix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sharinpix.com/documentation/image-sync/how-to-use-image-sync-on-multiple-albums-batch.md).

# How to use image sync on multiple albums (batch)?

In this section, we will discuss how to perform image sync on multiple albums in a single command.

There are 2 ways to make batch image sync migrations:

1. By passing an SOQL scope with at least the album's ID;
2. By passing a list of object IDs (album IDs).

## 1. By passing an SOQL scope with at least the album's ID

Below is an example whereby we will perform image syncs on all Accounts.

```javascript
sharinpix.ImageSyncMigration.resyncAlbumsFromSoql('Select Id From Account');
```

Once successfully executed, this command will start a batch and perform image sync on each album in the provided scope.

## 2. By passing a list of object IDs (album IDs)

Below is an example whereby we will perform image sync on all the album IDs provided.

```
sharinpix.ImageSyncMigration.resyncAlbumsFromIds(new List<Id> {
  '001SaleforceID1',
  '001SaleforceID2',
  '001SaleforceID3',
  '001SaleforceID4',
  '001SaleforceID5'
});
```

Once successfully executed, this command will start a batch and perform image sync on each album in the provided list of IDs.

{% hint style="danger" %}
**Alert:**\
\
All Record IDs in the list must be of the same SObject type.

Take note of Salesforce Limitations.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sharinpix.com/documentation/image-sync/how-to-use-image-sync-on-multiple-albums-batch.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
